.\"
.\" Copyright (c) 1996 Jonathan Stone.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Jonathan Stone.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: scc.4,v 1.7 2003/05/01 19:31:54 fair Exp $
.\"
.Dd April 24, 2003
.Dt SCC 4
.Os
.Sh NAME
.Nm scc
.Nd
Zilog 8530 Serial Communications Controller interface
.Sh SYNOPSIS
.Cd "scc* at ioasic? offset ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn Zilog
8530 Serial Communications
Controller
.Pq Tn SCC
via the
.Tn IOASIC
found on
.Tn DECstation
5000 models in the /100, /20, and /240 series
.Po
supported by
.Nx Ns /pmax
.Pc .
.Pp
Each
.Tn SCC
device has two serial ports.
The
.Tn DECstation
5000 model 20 provides one
.Tn SCC
device.
Other models provide two, but one port of each device is dedicated to
mouse and keyboard input, respectively.
.Pp
Input and output for each line may set to one of following baud rates:
50, 75, 110, 134.5, 150, 300, 600, 1200, 1800, 2400, 4800, 9600,
19200, 38400, or 57600.
.Pp
Speeds up to 230400 are supported by the chip and the motherboard,
but speeds higher than 57600 do not work reliably without an external
clock signal.
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /dev/ttya
.It Pa /dev/ttyb
.It Pa /dev/ttyc
.It Pa /dev/ttyd
.El
.Pp
The mapping from units to serial-hardware outlets is idiosyncratic.
The even ports are wired serial connectors and the odd-numbered ports
are reserved for mouse and keyboard.
.Pp
On machines with one port like
.Tn "Personal DECstations" ,
the single device is
.Pa ttya .
.Pp
On the
.Tn "5000/1xx"
and
.Tn "5000/2xx" ,
the first serial port (default serial console) is
.Pa ttyc
and the second port is
.Pa ttya .
.Sh SEE ALSO
.Xr intro 4 ,
.Xr ioasic 4 ,
.Xr ttys 5 ,
.Xr MAKEDEV 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Bx 4.4 .
.Pp
The
.Nm
driver was also used for the
.Tn IOASIC
.Tn SCC
found in
.Tn DEC
.Tn Alpha
model 3000
.Tn TurboCHANNEL
based systems;
.Nx Ns /alpha
has since been converted to use the machine-independent
.Xr zstty 4 .
.Sh BUGS
The
.Tn IOASIC
provides internal
.Tn DMA
channels that can be programmed to transfer up to 4096 bytes of
data into, or out, of an
.Tn SCC
without
further software intervention.
This feature of the
.Tn IOASIC
is not yet supported.
.Pp
The mapping from device-special files (major and minor number) to chip
and port is arguably backwards.
.Tn ULTRIX
tries to hide the hardware mapping, but
.Nx
does not.
Users wanting to use
.Tn ULTRIX
compatible tty names
.Pa /dev/tty0
and
.Pa /dev/tty1
for the
.Nm
comm-port lines should make links or device-special files which match
their hardware setup.
